
Overview of changes in Ethereal 0.8.19:

* Added 'text2pcap', a utility to convert text hexdumps into pcap files. (Ashok, Guy)
* Changed 'tethereal -x' output to match hex dump format of text2pcap, Ethereal and
    others. (Ashok)
* Rewrote IGMP dissector.  (Ronnie Sahlberg, Guy)
* packet-smb.c fixes.  (Joerg Mayer, Guy)
* packet-rpc opaque datum display fix. (Guy)
* Fix to LDP prefix FEC dissection for IPv4. (Eran Mann, Guy)
* Cleanups to the "--with-ssl" configuration option, and changes to add
    compiler flags on Solaris with GCC to cope with X11 header file inadequacies. (Guy)
* acinclude.m4, configure.in - According to the autoconf documentation, you're not supposed
    AC_MSG_RESULT without AC_MSG_CHECKING. (Guy)
* Add tree summary information in packet-ip.c packet-udp.c similar to what's ini
    packet-tcp.c. (Gerald)
* packet-isis-lsp.c - Get rid of extra colons, and fix up the display of default metrics.
    (Jean-Christian Pennetier, Guy)
* packet-nisplus.c, packet-hclnfsd.c, packet-nlm.c, packet-spray.c - If you put an item
    into the protocol tree with "dissect_rpc_data_tvb()", it must be FT_BYTES, not FT_STRING. (Guy)
* acinclude.m4 - Updated SSL tests. (Andy Hood, Guy)
* MTP3 support. (Michael Tuexen, Guy)
* DHCP support for Intel PXEclient DHCP requests. (Joerg Mayer, Guy)
* Appletalk Data Stream Interface (used by AFP-over-TCP) support. (Randy McEoin, Guy)
* Fix to TCP reassembly code for retransmitted data. (Edgar Iglesias, Guy)
* packet-igmp.c - Put in limited support for some messages that appeared in the old
    dissector and that appear in tcpdump's IGMP dissector. (Guy)
* packet-bootp.c - Enhancements to the two pass decode system (Guy)
* ISUP support (Martina Obermeier, Guy)
* packet-igmp.c -  Use "col_add_fstr()" to set the Info column. (Guy)
* AUTH_DES support (Mike Frisch, Guy)
* RX and AFS dissectors tvbuffified, and bugs fixed. (Ronnie Sahlberg., Guy)
* Update IPv6 dissector, set Protocol and Info columns before data fetch
    so they're set if an exception is throw. )Guy)
* Update packet-clnp.c and packet-icmpv6.c - save/restore current current addresses
    when dissecting datagram in an error datagram (Guy)
* Call the SSCOP, AFS, GVRP, Q.931, Q.2931, H.261, LANE dissectors through a
    handle. (Guy)
* Create an ILMI dissector and call it through a handle. (Guy)
* Give protocol tree windows a horizontal scrollbar. (Guy)
* Removed "END_OF_FRAME" and "pi" references from tvbuffified dissectors(Guy)
* Plug a memory leak in file.c, didn't free "epan_dissect_t" when new frame selected (Guy)
* Fix for packet-icq.c, don't use static buffer to decrypt ICQ data, with pop-up
    packet window there might be multiple frame with ICQ decodes open. (Guy)
* Copyright fixes to reflect that Gerald has overall copyright (Guy)
* Make "ip_to_str()" capable of producing up to four separate address strings. (Guy)
* Tvbuffified NFS dissector, and some registered-field cleanups (Mike Frisch, Guy)
* Remove support for old-style dissectors in RPC code (Guy)
* Remove support for old-style dissectors from dissector_try_port and
    heuristic dissector code (Guy)
* Call the Vines IP dissector through a handle, and call the Vines SPP
    dissector through a handoff table. (Guy)
* Get rid of some unnecessary settings of "pinfo->current_proto" for dissectors
    that are called via a handle or dissector table (Guy)
* MSVC++ doesn't define "uint"; use "guint" in packet-isup.c instead. (Guy)
* iSCSI protocol support (Mark Burton,Guy)
* Fix for improper usage of "pinfo->captured_len" to check the length of the
    packet, that's the length of the *entire* frame, not the length of the
    current portion. (Johan Jorgensen, Guy)
* Support for filtering on absolute and relative time fields. (Ronnie Sahlberg, Guy)
* Fix capture_dlg.c to free the correct string pointer. (Guy)
* Display all the digits of the microsecond field of an absolute time value. (Guy)
* Check that the microseconds field of an absolute time is valid, if it's present. (Guy)
* In proto.c, added support for "Match Selected" on FT_ABSOLUTE_TIME and
    FT_RELATIVE_TIME fields. (Guy)
* Support for "-N" flag enabling selected forms of name resolution, (Joerg Meyer, Guy)
* Support for saving to the preferences file the settings for all types
    of name resolution. (Guy)
* Do a case-insensitive check for "true" and "false" in Boolean preferences
    settings. (Guy)
* Make the "short name" of MTP Level 3 just "MTP3", matching what we put
    in the Protocol column, and make the "filter name" "mtp3", as filter
    names are supposed to be all-lower-case. (Guy)
* In packet-iscsi.c, don'tcramallthewordsinapreference'snametogether; 
    underscores_are_permitted_in_those_names. (Guy)
* Support for leading LWS in RTSP headers. (Robert Tsai, Guy)
* In packet-ieee80211.c, bug fixes, and WEP support. (Javier Achirica, Guy)
* Update for packet-ranap.c. (Martin Held, Guy)
* Handle packets with OUI of 0000F8 like packets with OUI of 000000, needed because 
    of Cisco bridge behavior. (Guy)
* Added draft-draves-ipngwg-router-selection-01 support to IPv6. (Guy)
* Sync some of mobile-ip6 #define symbol names with draft-ietf-ipngwg-2292bis-02. (Guy)
* Create the tree for an ICMPv6 option before putting something in it. (Guy)
* Added strptime routine for Windows and MSVC++ 6.0. (Guy)
* Get rid of NEED_MKSTEMP - nothing uses it. (Guy)
* Changes to structure initializations not to initialize some but not all
    members. (Joerg Mayer. Guy)
* Use guint32 in place of u_int32_t, u_int32_t not uspported on all platforms (Guy)
* Patch for min function in packet-iscsi.c. (Guy)  
* Correct the values for sna_rh_ru_category_vals, (Edgar Iglesias, Gilbert)
* Add an "ADDRESSES_EQUAL()" macro (Guy)
* Add a "COPY_ADDRESSES()" macro (Guy)
* Make Ethereal default to promiscuous-mode captures. (Guy)
* Change "ip.fragment.error", "ip.fragment", and "ip.fragments" fields, to FT_NONE
    to avoid a possible core dump. (Guy)
* Enable "Match Selected" only if there's a field selected *and* we can do
    a "Match Selected" on it. (Guy)
* Correctly compute the OSI checksum. (Guy)
* Compensate better for invalid (at least for IPv4) prefix lengths in FECs. (Guy)
* Juniper Networks vendor ID in RADIUS dissector. (Hannes Gredler, Guy)
* hmac-md5 authentication support for IS-IS. (Hannes Gredler, Guy)
* Gnutella support. (B. Johannessen, Guy)
* Updates for packet-ranap.c. (Martin Held, Guy)
* packet-isis-lsp.[hc]  (Hannes Gredler, Guy)
* Pull the resolve.c hash functions into macros. (Guy)
* Move the fragment reassembly code into "reassemble.[hc]" (Guy)
* Don't display the data portion of an ER NPDU - we dissect it as a CLNP PDU. (Guy)
* Add support for reassemmbling IPv6 fragments, and an option to
    control whether to do it or not. (Guy)
* Remove "globals.h" include from many files that don't need to do that. (Guy)
* When printing the contents of a raw-data field, don't use the raw data
    of the current frame as the source, use the raw data of the tvbuff
    that's the data source of that field. (Guy)
* Fix data type definitions in in_chksum.c. (Guy)
* MP-BGP message support. (Thierry Stagiaire, Guy)
* Clean up the handling of AVPs in packet-l2tp.c. (Guy)
* Clean up the handling of MAC addresses in packet-ieee80211.c. (Guy)
* Rename the arguments and flags for the conversation routines. (Guy)
* Display hex numbers with a leading 0x in packet-ieee80211.c. (Guy)
* DVMRP support. (Ronnie Sahlberg, Guy)
* Only decode the version 2 RTP packets. (Guy)
* Check for a bogus TCP header length, and don't try to do dissection if
    it's bogus. (Guy)
* Fix packet-radius.c added Interim-Update Acct-Status-Type value. (Diana Eichert, Guy)
* RFC 2250 MPEG1 support. (Francisco Javier Cabello, Guy)
* LCP-over Ethernet and IPCP-over-Ethernet support. (Laurent Rabret, Guy)
* packet-rtp.c bug fix. (Francisco Javier Cabello, Guy)
* Fix handling of error message from child to parent. (Guy)
* Fix sizeof( *buf) error in packet-bgp.c. (Guy)
* Handle multiple next hop network addresses in BGPTYPE_MP_REACH_NLRI. (Guy)
* PAP support. (Laurent Rabret, Guy)
* Set the Protocol column in dissectors for PPP-specific subprotocols. (Guy)
* Add the PPP Compression Control Protocol to the list of PPP protocols. (Guy)
* In packet-isis-lsp.c, upport for External Reachability TLVs, and assorted output
    improvements.  (Hannes Gredler, Guy)
* Define __USE_XOPEN in files that use "strptime()". (Joerg Mayer, Guy)
* signed vs. unsigned variable fixes. (Joerg Mayer, Guy)
* Explicitly fill in all members of a "header_field_info" structure. (Joerg Mayer, Guy)
* Crank up the warning level in GCC. (Joerg Mayer, Guy)
* Support for protocols running atop GIOP. (Frank Singleton, Guy)
* Update the ICQ decryption code. (Guy)
* Changes to handle current versions of RPM, which compress man pages.(Craig Rodrigues, Guy)
* Fix packet-radius.c, don't list the attribute-value pairs there aren't any. (Guy)
* NFS file handle analysing works now for kernel based NFS v3 servers of Linux
    2.4.0 too. (Guy)
* Add code generation support for IDL array types in ethereal_gen.py. (Frank Singleton, Guy)
* Many corrections and updates for connection-oriented WSP. (Alexandre P. Ferreira, Guy)
* Fixed problem with labels that didn't have any statements in packet-nfs.c (Guy)
* Capture child process, should ignore promiscuous preference and use flag from parent. (Guy)
* Fix compiler warnings in packet-giop.c (Frank Singleton, Guy)
* Update README.idl2eth. (Frank Singleton, Guy)
* Not all Python scripts generate dissectors; "make-reg-dotc.py" generates
    "register.c", and, as such, shouldn't stuff ", HFILL" into its output. (Guy)
* Handle Negotiate Protocol replies with the "extended security"
    capability flag set in smb decodes (Guy)
* RTSP fixes. (nuf si,Guy)
* In packet-cdp.c catch TLVs with bogus lengths. (Guy)
* Added the QuakeWorld network protocol dissector. (Ume Girlich)
* Added the Quake II network protocol dissector. (Ume Girlich)
* Added M2PA support. (Jeff Morriss, Guy)
* Support CIDR notation in IPv4 address filtering. (Gilbert)
* Fix "decode_network()" in decode_as_dlg.c. (Guy)
* Use HFILL in packet-isis-hello.c packet-rsvp.c to load structures. (Guy)
* In lemon.c, f length arguments to "%*s" aren't of type "int", cast them to "int",
    as that's what C requires them to be. (Guy)
* Update configure to handle non-standard libpcap installs. (Guy)
* MRDISC support. (Ronnie Sahlberg, Guy)
* Improved support for CORBA IDL "fixed" types in ethereal_gen.py. (Frank Singleton, Guy)
* Added NCP types based upon traces from Pete<psailor@uswest.net>. (Gilbert)
* packet-iscsi.c updates. (Mark Burton, Guy)
* Create a routine to do the tvbuff-length-adjusting and
    "pinfo->{len,captured_len}"-adjusting for ip, ipv6 and ipx. (Guy)
* MSNIP support. (Ronnie Sahlberg, Guy)
* Fix the AFS macros. (Ronnie Sahlberg, Guy)
* Tvbuffified ISIS dissector. (Ronnie Sahlberg, Guy)
* IS-IS updates (Hannes Gredler, Guy)
* HELLO message support in RSVP. (Hannes Gredler, Guy)
* Fix ISIS dissector to fetch and store values if needed multiple times. (Guy)
* Fetch fields from the ISIS header one at a time. (Guy)
* Tvbuffify the DNS, NBNS, NBDS, and NBSS dissectors. (Guy)
* For DNS-over-TCP, put the length indicator into the tree for the DNS
    request/response. (Guy)
* Add PIMv1 support. (Guy)
* Update packet-rpc.c to handle ip de-fragmenting. (Guy)
* Tvbuffify the rlogin dissector and do cleanup. (Guy)
* Fixes tp packet-rx.c. (Ronnie Sahlberg, Guy)
* Dissect FDDI control bit fields and add descriptions. (Guy)
* Update unknow reply status handing in packet-giop.c. (Guy)
* Update packet-icq.c. (Guy)
* Update packet-wsp.c packet-wtls.c packet-wtp.c. (Guy)
* Add subtrees for ServiceContextList and IOR. (Frank Singleton, Guy)
* Improve make files for static linking of ethereal and tethereal. (Ed Warnicke)
* Fix Makefile.am x11 field generation. (Uwe Girlich)
* Fix mgcp plugin for static binaries. (Ed Warnicke)
* Remove wtap_file call from ethereal and tethereal. (Guy)
* Fix empty parameter problem in mgcp code. (Alejandro Vaquero, Ed Warnicke)
* Don't capitalize the names of programs in the summary lines of man pages. (Guy)
* Signed vs. unsigned in packet-x25.c (Olivier Abad)
* Support for ANSI flavor of MTP3. (Jeff Morriss, Guy)
* Tvbuffified SMB NETLOGON dissector and fix bugs, (Ronnie Sahlberg, Guy)
* Fix static binary support in gryphon plugin. (Ed Warnicke)
* Updates to packet-smb-login.c based upon Network Monitor decodes. (Guy)
* Support for draft-rosen-vpn-ospf-bgp-mpls and for additional BGP
    extended communities. (Aamer Akhter, Guy)
* Fixed the make dist problem with README.plugins. (Ed Warnicke)
* Put the settings of the flags into the summary line for the TACACS+
*   flags field. (Guy)
* Mark the columns non-writable before dissecting the encapsulated IPv4
    packet, so that they reflect the MSDP packet rather than the
    encapsulated packet. (Heikki Vatiainen, Guy)
* SSL/TLS support. (Scott Renfro, Guy)
* Support for {Enter,Return} keys toggling expansion of selected protocol
    tree item. (Heikki Vatiainen, Guy)
* Autoconf support for glibc IPv6 support. (Pekka Savola, Guy)
* IGMP fixes and multicast traceroute support. (Heikki Vatiainen, Guy)
* Improvements to TACACS/XTACACS/TACACS+ dissector. (Paul Ionescu, Guy)
* MSDP support. (Heikki Vatiainen, Guy)
* Support for dissectors of protocols running atop DCE RPC. (Todd Sabin, Guy)
* Cleaned up "get_column_format_matches()". (Todd Sabin, Guy)
* NCP-over-IP bug fix. Did move past header before passing it on. (David Eisner, Guy)
* "-t" flag for editcap, to adjust timestamps in frames. (Scott Renfro, Guy)
* Fix places that used strlen as a variable name, (Heikki Vatiainen, Guy)
* Fixes to packet-hsrp.c "proto_tree_add_item()" calls. (Heikki Vatiainen, Guy)
* Additional filterable fields added to packet-vrrp.c. (Heikki Vatiainen., Guy)
* Mergecap utility for merging capture files. (Scott Renfro, Guy)
* PGM (Pragmatic General Multicast) support. (Steve Dickson, Guy)
* Include "mergecap.rc" in the list of things to be built. (Edward Meaney, Guy)
* Package mergecap.exe and its HTML documentation. (Gilbert)
* Update NSIS syntax for newest NSIS. (David O'Shea, Gilbert)
* Set config.nmake to get non-cygwin version of Python.exe, (Gilbert)
* Tvbuffified SMB BROWSER dissector. (Ronnie Sahlberg, Guy)
* Add a "time_msecs_to_str()" routine to packet-smb-browse.c. (Guy)
* text2pcap.c, proto.c, dfilter.c and others... gcc warning fixes.  (Joerg Mayer, Guy)
* Check for IPv6 support, and check what type of IPv6 support we have. (Guy)
* Fixes to packet-smb-browse.c and packet-smb-logon.c, add fields, set columns. (Guy)
* Make leading zero in -t optional for editcap.c. (Scott Renfro, Guy)
* Add cleanbld.bat for Windows to remove left overs from unix build. (Guy)
* Update to allow mergecap to merge multiple capture files into one
*   capture file. (Scott Renfro, Guy)
* Remove name-clash of type pgm_t in packet-pgm.[ch]. (Uwe Girlich)


Overview of changes in Ethereal 0.8.18:
  
* Improvement of 'make clean' targets. (gilbert)
* Added the ethereal capture preferences to the preference file.  (Jeff, Guy)
* Fix automake packaging of win32-only files. (gilbert)
* Remove "etypes.h" include from  "ipproto.c" (gilbert)
* Tvbuffify the ASN.1 code and the Kerberos, LDAP, and SNMP dissectors. (Guy)
* Get rid of an unused variable, and fix a typo in a comment in packet-ldap.c (Guy)
* packet-snmp.c Fix up a pile of NullTVB uses that were left in the previous checkin. (Guy)
* Assorted cleanups in packet-kerberos.c (Guy)
* packet-vines.c, packet-quake.c, packet-snmp.c, check for disabled protocols and set "pinfo->current_proto" (Guy)
* Assorted ISIS enhancements.  (Hannes Gredler)
* When dissecting the ISIS NLPID CLV, use the "nlpid_vals" array to convert NLPID values to protocol names. (Guy)
* In wiretap/buffer.c   Fix "data" member of a Buffer structure g_malloc casting (Guy)
* In wiretap/lanalyzer.c  Removed g_assert_not_reached and return 0; from	lanalyzer_open() loop. (Guy)
* Fix the e-mail address for Joerg Mayer (and remove it from files he wasn't involved with).  (Guy)
* Quarterly (or so) update to manuf (Gerald)
* Move the declaration of "ipprotostr()" out of "epan/packet.h" into a new "ipproto.h" header file.  (Guy)
* Move the declaration of "etype_vals[]" from "epan/packet.h" to "etypes.h". (Guy,Ed Warnicke)
* Fix to a preferences dialog bug, from <inoue@ainet.or.jp>. (Guy)
* Fix to WTP retransmission indicator dissection (Guy,Olivier Biot)
* packet-bgp.c, packet-bgp.h tvbuffified  (Heikki Vatiainen, Guy)
* Add -I/usr/local/include" into CFLAGS because GLib 1.2.9 doesn't any more (Guy)
* WTLS client and trusted key ID handling enhancements (Patrick Wolfe, Guy)
* Tvbuffify packet-yhoo.c (Nathan Neulinger)
* Makefile.nmake pulls in settings from config.nmake (Gram)
* ascend-scanner.l, #define YY_NEVER_INTERACTIVE to avoid reference to isatty() on Win32 (Gram)
* IP fragment reassembly (Ronnie Sahlberg, Guy)
* Fixed problem with nmake compiling lemon.c twice (Gram)
* Check the validity of numbers specified in command-line options. (Guy)
* Add ONC RPC strings to the tree as strings, with a field index (Ronnie Sahlberg, Guy)
* YPPASSWD support (Ronnie Sahlberg, Guy)
* Distribute wtap.def (Gram)
* Include "image/Makefile.nmake" in the distribution tarball.  (Guy)
* Fixed up the messages printed for the SSL checks (Guy)
* Have status bar to display nothing, rather than "Text (text)", when a
    "proto_tree_add_text()" field is selected. (Ronnie Sahlberg, Guy)
* Cleanup the text item pseudo-field for the '-G' option (Guy)
* Get rid of the FT_-name-to-description filtering in eproto2sgml (Guy)
* DCE RPC updates (Todd Sabin, Guy)
* Cleanup packet-rsvp.c object class-specific types (Guy)
* Added error messages to proto.c for BASE_NONE in FT_INTn & FT_UINTn (hagbard,Guy)
* Added perl script to generate X11 dissector fields (Guy)
* Include "process-x11-fields.pl" and "x11-fields" in the source distribution (Guy)
* Fix up "process-x11-fields" to allow both a base *and* VALS to be specified (Guy)
* Make the X11 fields that correspond to drawable IDs, masks, and the like
    display as hex rather than decimal. (Guy)
* packet-x11.c - Use "%u", not "%d", to print unsigned quantities (Guy)
* Add support for comments in "process-x11-fields.pl", and add a copyright
    notice/RCS ID/credit to Christophe to "x11-fields" as a comment. (Guy)
* packet-eigrp.c - Put top-level item for a TLV into the protocol tree with a text
    value, for display if an exception occurs (Guy)
* KLM support  (Ronnie Sahlberg, Guy)
* Put an RCS ID/GPL/copyright notice into the "process-x11-fields.pl" script (Guy)
* tethereal.c - Add a "return 0;" at the end of main() to pacify MSVC 5 (Gram)
* Fix Gerald's e-mail address - (Guy)
* dfilter_expr_dlg.c - Treat BASE_BIN like BASE_DEC for numeric value of value_string (Guy) 
* README.developer - Explain BASE_{DEC,HEX,OCT,BIN} a bit more (Guy)
* editcap.c - add return 0; to main routine (Guy)
* TODO - Update the reassembly item to note that IPv4 fragments are now reassembled. (Guy)
* SPRAY support  (Ronnie Sahlberg, Guy)
* rquota support completed (Ronnie Sahlberg, Guy)
* When registering numeric fields, check that a base other than BASE_NONE was specified. (Guy)
* Tvbuffification of the IPv6 and ICMPv6 dissectors, and some bug fixes (Heikki Vatiainen, Guy)
* Get rid of NullTVB references.  (Guy)
* Get rid of END_OF_FRAME, BYTES_ARE_IN_FRAME references in tvbuffified dissectors. (Guy)
* Move the declarations of IP protocol numbers to "ipproto.h" from "packet-ip.h". (Guy)
* Get rid of unnecessary includes. (Guy)  
* Signed vs. unsigned fixes (Joerg Mayer, Guy)
* Tvbuffify the RIPng dissector. (Guy)
* RANAP support  (Martin Held, Guy)
* Modbus/TCP support (Riaan Swart, Guy)
* Tvbuffify the Gryphon dissector. (Guy)
* Undefine "isprint()" before re-defining it, to squelch a compiler warning. (Guy)
* Configure.in - Fail if both UCD and CMU SNMP headers are found because of link problem (Guy)
* If the SNMP headers were found but we failed to find "sprint_objid()", fail SNMP config (Guy)
* Make "col_set_str()" and "tvb_reported_length_remaining()" available in plugins. (Guy)
* Get rid of support for non-tvbuffified plugin dissectors. (Guy)            
* "-l" command-line option to turn on automatic scrolling in "Update list
    of captures in real time" captures  (Christian Lacunza, Guy)
* HPUX plugin support using g_module_supported (Guy)  
* Added support for DHCP Authentication extensions specified in
    draft-ietf-dhc-authentication-16.txt (Ashokn)
* Added support for RSVP Refresh Reduction Extensions -
    draft-ietf-rsvp-refresh-reduct-05. (Ashokn)
* Added one-line summary of each RSVP object in the object line. (Ashokn)
* Additional OSPF LSA types and opaque-options flag  (Michael Rozhavsky, Guy)
* packet-wtls.c updates (Alexandre P. Ferreira, Guy)
* IPX SAP over IPX EIGRP support, and IP EIGRP authentication updates (Paul Ionescu, Guy)
* PIM enhancements and fixes (Heikki Vatiainen, Guy)
* Support for dissecting XDR arrays  (Ronnie Sahlberg, Guy)
* NIS+ support (Ronnie Sahlberg, Guy)
* Additional LDAP checks for invalid packets (Scott Renfro, Guy)
* Better support of timestamps from NetXRay captures (Chris Jepeway, Guy)
* Automake updates for next version of automake (Nathan Neulinger, Guy)
* Updates for the next version of autoconf (Nathan Neulinger, Guy)
* Passive FTP support  (Juan Toledo, Guy)
* Fix a text window, scrollbar bug reported by Christopher McAvaney  (gerald)
* Updates to OSPF for the changes between drafts 3 and 4 of
* Various ISIS improvements (Jean-Christian Pennetier, Guy)
* osi-util.c  Fix postfix error in string generation (Chris Fould, Guy)
* Support for Cisco-proprietary capabilities in BGP (Jian Yu)

Overview of changes in Ethereal 0.8.17:
* Display filter GUI fix (Guy)
* Build fix: use SSL_LIBS if found by configure (Henri Gomez)
* Fix 2 off-by-1 erros in the code that selects a field after
	user clicks on a byte in the hex dump (Gilbert)
* Typo fixes to packet-q931.c (Thomas Gimpel)
* Win32 build: create HTML doco (Gilbert)
* Fixes for Lemon compilation (Guy)
* Wiretap file-close fix (Guy)
* Wiretap open() design fix (Guy)
* New dissector: support for CUPS browsing protocol (Charles Levert)
* Wiretap support for Cisco HDLC (Guy)
* New dissector: Cisco HDLC (guy)
* Tvbuffication of MOUNT dissector (Ronnie Sahlberg)
* Tvbuffication of HCLNFSD dissector (Ronnie Sahlberg)
* Memory double-free fix (Guy)
* Change tvb_get_ptr() to return 'const guint8*' (Gilbert, Guy)
* Fix for IEEE 802.11 trying to modify result of tvb_get_ptr() (Guy)
* Update to CUPS (Guy)
* Update to CLNP (Guy)
* Fix for Win32 file renaming (Guy)
* Update to MGCP (Ed Warnicke, Guy)
* Update to STAT dissector (Ronnie Sahlberg)
* Check for NULL in proto_tree_add_* routines (Guy, Jeff)
* Tvbuffication of YPSERV (Ronnie Sahlberg)
* Tvbuffication of BOOTPARAM (Ronnie Sahlberg)
* New dissector: DCE RPC support (Tod Sabin)
* Update to SMB mailslot, browse, pipe (Guy)
* Update to SMB (Guy)
* Add 48.48 PNG of new 3d logo (Gilbert)
* Compiler warning fixes (Guy)
* MS Proxy fix and tvbuffication (Guy, Jeff)
* Move address routines to epan (Ed Warnicke)
* Change "IEE 802.3" Ethernet label (Gilbert)
* New feature: Protocol Hierarchy Statistics (Gilbert, Guy)
* Win32 build: build wiretap as DLL, use WinPcap 2.1 (Gilbert)
* New feature: multiple named data sources (Jeff, Guy)
* Update to Frame Relay (Jeff, Guy)
* New dissector: LMI for frame relay (Jeff)
* New dissector: Wellfleet compression (Jeff)
* Update to WTP (Guy)
* Updates to AFS (Nathan)
* Fix for WCP (Guy, Jeff)
* Back out guint64 handling in wiretap netxray module (Guy)
* Add APi for creating progess dialogues (Guy)
* Tvbuffication of ICQ (Guy)
* GTK-related code fixes (Eduardo Pérez Ureta)
* Update to RX (Nathan)
* Add "-D" flag to tethereal to show list of all network
	interfaces (Guy)
* Update to IP: check for small header lengths (Guy)
* Update TPKT (Guy)
* Fix for ICMPv6 crash (Olivier, found by Heikki Vatiainen)
* Fix for "checksum bad" flags in proto_tree in IP, UDP, TCP (Guy)
* Update to PPP (Guy)
* Update to Q.931 (Guy)
* New disector: BACNET (Hartmut Mueller)
* Code movement from dissectors to epan (Ed Warnicke, Guy)
* General code cleaning (Guy)
* Win32: load wpcap.dll at run-time, not load-time (Gilbert)
* Support for "Transparent Ethernet Bridging" (Guy)
* New dissector: GTP (Michal Melerowicz)
* Fix for ISAKMP : check for length of payload (Tim Newsham)
* Win32 build: use NullSoft Installer to provide packaging (Gilbert)
* Win32 build: keep version number in config.nmake, and generate
	text files that need that version number (Gilbert)
* Win32 build: wiretap can use zlib (Gilbert)
* Update to SNMP (Guy)
* New dissector: RWALL (Ronnie Sahlberg)
* OSI-over-PPP support, plus fixes to ISIS (Hannes Gredler)
* Updates to SCTP (Michael Tuexen)
* Wiretap: support for Ascend version 7 output (Gerald)
* Fixes to NTP (Joerg Mayer)
* Doco updates (Guy, Gilbert)
* Fix for GTK file selection showing wrong directory in Open/Save As (Gilbert)
* Win32: isprint() hack to keep GTK from not showing characters in hex
	dump and follow-tcp-stream window in certain cases (Gilbert)

Overview of changes in Ethereal 0.8.16:
* RTSP fixes (Guy)
* CDP updates and fixes (Kent Engstöm)
* Call capture_sll() during capture (Gilbert)
* dissectory_try_*() cleanups (Guy)
* SCTP updates (Michael Tuexen)
* Many tvbuffications (Guy)
* GRE updates (Guy)
* Bugfix in WCCPv2 IP encapsulation (Guy)
* M3UA update (Michael Tuexen)
* Updates for DEC LANBridge 100 Spanning Tree protocol (Guy)
* Fix for MPLS Multicast PPP type (Guy)
* IUDA updates (Michael Tuexen)
* NBIPX, NetBIOS fixes (Guy)
* Don't anger the Automake God so that she doesn't install man pages (Guy)
* Wiretap ngnsiffer update for type 7 records (Jeff Foster, Guy)
* Completion of NLM dissector (Ronnie Sahlberg)
* WSP fix (Guy)
* Code cleanup (Guy)
* Make Automake 1.4b happy (Guy)
* Improve RPC processing (Guy)
* Ethernet/ethertype() update (Guy)
* NLM update (Guy)
* Look for SSL library for those that have UCD SNMP compiled with
	SSL support (Andy Hood)
* GTK dialog box handling cleanup (Guy)
* Support for SUA Light (Micahel Tuexen)
* Mobile IPv6 updates (Borosa Tomislav)
* IEEE 802.11 fix (Johan Jorgensen)
* tru64 doco update (Guy)
* wiretap can write NetMon 2.x files (Guy)
* Dissector registration cleanup (Guy)
* Support for HCLNFSD (Mike Frisch)
* wiretap autoconf cleanup (Guy)
* Enhance registration of ONC RPC-based protocols. (Guy)
* Keep separate cfilters and dfilters lists files. (Guy)
* Remove support for old-style plugins. Goodbye! (Guy)
* Cleanup usage of pcap (Guy)
* SMB update, new error code (Richard)
* SNMPv2u support (Guy)
* Fix bounds problem in invalid SIP packet (Ruud Linders <ruud@lucent.com>,
	 Gerald)
* WTLS support and WSP fixes (Alexandre P. Ferreira)
* Work around CMU SNMP bug (Guy)
* "Decode As" (David Hampton)
* Modularize field types (FT_*) (Gilbert)
* Re-write display filter code (Gilbert)
* "drange" --- modularized byte slice routines for dfilters (Ed Warnicke)
* Always show scrollbar in tree view panel (Gilbert)
* Fixes for lemon parser generator (Guy)
* Updates for dfilter-creation-GUI re: new dfilter code (Guy)
* Better filter string handling (Guy)
* Support for NLMv3 SHARE and UNSHARE (Guy)
* RSVP fixes (Guy)
* VINES fix (Guy)
* Fix for Token-Ring (Guy, Gilbert)
* Clean up warnings from MSVC (Guy)
* Support for V3 CALLIT and V4 BCAST/INDIRECT in portmap (Guy)
* RTP update (Guy)
* Code movement for 802.3 handling (Guy)
* PIM fixes (Guy)
* WCCP update (Simharajan Srishylam)
* TFTP build fix for Windows (Guy)
* RPC updates (Guy)
* Better error handling during captures, including change in
	protocol between parent and child processes (Guy)
* Try to get "drops" info from libpcap (Guy)
* Proper activation/deactivation for "Decode As" menu item (Guy)
* Do proper display filtering on multiple fields registered
	to the same name (Guy)
* Properly decode BOOTP option 82 (Greg Kilfoyle)
* WAP/WTLS updates (Neil Hunter)
* NetXray timestamp fixes (Chris Jepeway)
* ISAKAMP update (Yaniv Kaul)
* Add MIP extensions (Stefan, Guy)
* Diameter fixes for handling bad packets (Gilbert)
* Work-around for "line-buffered" not meaning "line-buffered" with
	MSVC (Guy)
* Re-write of diameter dissector (David Frascone)
* Win32 Ethereal, if started as GUI w/o a console, will
	create a console when necessary to show warnings/errors. (Guy)
* Correct TSIG decoding in DNS (itojun)
* Add support for SRV RRs in DNS (Nathan)
* Add hidden boolean fields designating bad IP or ICMP
	checksums (James E. Flemer)
* Add them also for various IP-family protocols (Guy)
* Wiretap support for Etherpeek (v5, 6, and 7) support (Daniel Thompson)
* Display filter doco update (Guy)
* Add cvsdiff-fix.py, for cleaning up the result of "cvs diff" (Gilbert)
* Support for RFC 3024 reverse tunneling support for MIP (Peter Lei)
* Fixes for NBIPX and microsoft-related IPX usage (Guy)
* Support for Rquota protocol (Mike Frisch)
* Code movement for AH dissector (Guy)
* Fix color selection widget in TCP Streams preferences (Gilbert)
* Add "Toggle All", "Enable All" and "Disable All" buttons to
	dissector-selection GUI (Gilbert)
* Selection of bytes in GUI hex dump selects the appropriate field
	in the GUI protocol tree (Gilbert)
* MGCP updates (Ed Warnicke)

Overview of changes in Ethereal 0.8.15:
* HSRP updates (Heikki)
* MGCP updates (Ed, Gilbert)
* Fix infinite loop problem in ICQ dissector (Gilbert)
* Enable optional building of ethereal/tethereal/editcap (Guy, Gilbert)
* SMB fixes (Jeroen Ruigrok van der Werven)
* More complete 'manuf' file. (Gerald)
* X.25 updates (Olivier, Richard)
* RADIUS updates (Guy)
* AIM updates (Ralf Holzer)
* WCCP 2.0 support
* NG Sniffer file-reading fixes (Guy)
* New dissector: Label Distribution Protocol (Richard)
* tvbuff updates, fixes, additions (Gilbert, Guy)
* New dissector: GVRP (Kevin Shi)
* NVS v4 support (Mike Frisch)
* RTSP updates (Guy)
* Miscellaneous clean-ups (Guy, Gilbert)
* NBIPX update (Guy)
* Fix for improper buffer-overflow check in wiretap's pppdump support
	(Daniel Thompson)
* ISAKMP fix (itojun)
* Add TCP segment and UDP datagram checksumming code (Guy)
* Added Router-Alert IP option, RFC 2113 (Ashok)
* PPP updates (Burke Lau)
* Mobile IPv6 support (Martti Kuparinen)
* "Match Selected" works better with FT_STRING types (Ed Warnicke)
* Windows time format bug avoidance (Richard)
* X.25 over TCP support (Paul Ionescu)
* Enable FT_BYTES display filtering (Ed Warnicke)
* Added tethereal_static build target (Nathan)
* Kerberos update (Nathan, Guy)
* DLT_LINUX_SLL capture type support, used with current libpcap captures
	on the Linux "any" device. (Guy)
* CLNP update (Guy)
* TFTP update (Guy)
* BGP update (Greg Hankins)
* OSPF update (Guy)
* Capture updates and fixes (Guy)
* LAPBETHER support (Richard, Guy)
* TCP update for TCP MD5 signature (Greg Hankins)
* SMB-PIPE fix (Richard)
* Display filter creation GUI (Guy, based on work by Jeff Foster)
* Updates to HTTP (uPnP and SSDP support) (David Hampton)
* Preferences API updates (Guy)
* DEC LANBridge Spanning Tree Protocol support (Paul Ionescu)
* X.25 over LLC support (Paul Ionescu)
* CDP update for IP Prefix field (Paul Ionescu)
* Tvbuffication of dissectors (Guy, Gilbert)
* Frame Relay and Frame-Relay-over-GRE support (Paul Ionescu)
* Support for NG Sniffer Frame Relay traces (Jeff Foster)
* Conversation/dissector registration updates (Guy)
* MTP3 User Adaptation Layer (M3UA) support (Michael Tuexen)
* Doco updates (Guy)
* SOCKS fix for crashing in a conversation ping-ping (Jeff Foster)
* IEEEE 802.11 fix (Guy)
* Proper (I think) lineheight calculation in proto_draw.c (Gilbert)
* HTTP dissector can accept registration from sub-protocols (Guy)
* make-reg-dotc.py speeds up build on Win32 (Gilbert)
* LLC update (Guy)
* SCTP updates (Michael Tuexen)
* ISDN Q.921-User Adaptation Layer (IUA) support (Michael Tuexen)

Overview of changes in Ethereal 0.8.14:
* Fix time-difference computation in tethereal (Guy)
* SMB LOGON update (Richard)
* Continue capturing if netmask on interface is not found (Guy)
* Add fourth choice of time format: date/time (Guy)
* AFS update (Nathan)
* WAP support (Neil Hunter, Guy)
* SIP support (Heikki Vatiainen)
* FTP update (Richard)
* Plugins can specify several underlying protocols (Olivier)
* Dissector cleanup (Guy)
* AIM/OSCAR support (Ralf Holzer)
* Use preference file field list for summary line in tethereal (Guy)
* GIOP 1.2 support, and other GIOP updates (Craig Rodrigues, Guy)
* Remove carriage returns in getopt.[ch] (Guy)
* SDP handles embedded newlines (Robert Tsai)
* Re-write of EIGRP dissector (Paul Ionescu)
* Tethereal output cleanup (Guy)
* MGCP dissector plugin (Ed Warnicke)
* Tvbuffify: HTTP, NTTP, RSH, RTSP, Telnet, SAP, SDP, FTP, POP, TFTP,
	 NBIPX, SMTP, 802.1Q VLAN, ATALK, AARP, ARP, IPP, STP,
	IP, ICMP, TCP, UDP, OSI CLNP, OSI COTP, OSI CLTP, OSI ESIS,
	PPoE, L2TP, X11 (Guy)
* Tvbuffify: NetBIOS (Jeff Foster)
* Add more tvbuff methods (Guy, Gilbert)
* Correct IPv6 router renumbering dissector (Itojun)
* ICMPv6 update (Itojun)
* Re-work of logic in SMTP (Guy)
* ATALK fix (Guy)
* NetBIOS update (Gerald)
* Code movement to libethereal (Guy)
* Column-related fixes in DNS/NBNS (Gilbert)
* Plugin API fix (Guy)
* Documentation update (Guy)
* IEEE 802.11 support (Johan Jorgensen, Axis Communications)
* Dissectors can be registered by name, for later lookup (Guy)
* GIOP update (Frank Singleton)
* Tweak the DATA dissector (Guy)
* NTP update (Phil Techau, Gerald)
* Add #include's to clean compiler warnings (Craig)
* Conversation fix (Guy)
* Wiretap error-reporting fix (Guy)
* Add col_set_str() to save memory-copying when the string is static (Guy)
* Fix for AFS buffer-overrun exploit (Gerald)
* Fix possible buffer overruns in NBNS, NTP, ICQ, resolv.c, pppdump.c (Gerald)
* Tvbuffify: AUTO-RP (Heikki Vatiainen)
* Have tethereal initialize winsock like Ethereal does (Gilbert)

Overview of changes in Ethereal 0.8.13:
* Macro movement to pint.h (Gilbert)
* Keep TVBUFF_SUBSET constructor from dying after a
	ReportedBoundsError (Gilbert)
* CWR and ECN flags in TCP (Ulrich Kiermayr <kie@thp.univie.ac.at>)
* Correct startup/shutdown of windows sockets for name resolution (Graham)
* Add "-p" option to control promiscuity of capture, Debian bug #34376 (Guy)
* Wiretap support for Nokia firewall tcpdump, yet another mutant libpcap format
	that didn't change the magic number (Guy)
* ECN in IP header (Ulrich Kiermayr <kie@thp.univie.ac.at>)
* Fix for #include of <net/if.h> (Guy)
* Close the handle for the SNMP library after inspecting it on Linux
	(Guy, Gilbert)
* EOF check (Guy)
* Wiretap support for Shomiti Surveyor 3.x, aka "unofficial snoop v4" (Guy)
* Wiretap support for reading pppd log files (pppdump format) (Gilbert)
* Add -l option to tethereal to make stdout line-buffered.  (Guy)
* Add "Next Sequence number" field to TCP (Guy)
* Other TCP updates (Guy)
* Add direction flag, if available, to Frame dissection. (Gilbert)
* Rename NCP include file with code in it to packet-ncp2222.inc (Gilbert)
* Dissect WTAP_ENCAP_ATM_RFC1483 with dissect_llc() (Guy)
* Wiretap support for NetXRay ATM captures (Guy)
* Make an "epan" directory, and move core routines to libethereal (Gilbert,
	Olivier, Guy)
* Doco updates (Guy)
* Dynamic buffer for format_text() (Guy)
* Telnet update (Guy)
* HTTP update (Guy)
* RTSP update (Guy)
* BXXP update (Richard)
* DNS updates (A6, DNAME, and RFC 2673 bitstring label) (Per Flock)
* ISAKMP check for bad data (Gilbert, Jack Keane)
* ISAKMP update for SHA2 and AES encryption assignments (Yaniv Kaul)
* Move Frame dissection do separate file (Gilbert)
* Add support for modal message boxes (Guy)
* DNS updates (Brian Wellington)
* Add Capture->Stop menu item (Santeri)
* ICMPv6 bad data check (Santeri)
* Check for python executable in autogen.sh (Gilbert)
* On Unix/X, the default font preference matches only ISO 8859/1 fonts (Guy)
* Complete the COPS dissector (Heikki Vatiainen)
* Update for Session Announcement Protocol (Heikki Vatiainen)
* Better heuristic for detecting Linux mangling of token-ring header (Gilbert)
* Fix for DNS A6 RR decoding (Per Flock)
* Support for H.261 and TPKT, replacement of RTP and RTCP dissectors, and
	changes to Q.931 dissector (Andreas Sikkema)
* Case-insensitive string checks in HTTP dissector (Isaac Wilcox)
* RTCP band-aid for allegedly-NTP timestamp (Guy, from Jason Lango's
	RTCP dissector)
* Diameter updates (David Frascone)
* Capture statistics improvements (Santeri)
* Check the ICMP checksum (Guy)
* Support for conversations with "wildcard" destination addresses
	(Jeff Foster, Guy)
* HSRP off-by-one fix (Guy)
* IPX and TCP column-related fixes (Guy)
* make-reg-dotc fix (Guy)
* AFS static-function cleanup (Guy)
* Filter GUI ease-of-use fixes (Santeri)
* Support for Routines for IGRP dissection <Paul Ionescu>

Overview of changes in Ethereal 0.8.12:
* OSPF enhancements (Craig Metz)
* Buffer-overflow protection with snprintf (Gilbert)
* Add "Save As" feature to TCP Follow dialogue (Gilbert)
* NFS update (Guy)
* Show correct IP cksum if cksum in packet is incorrect
	(Johannes.Hennecke@elsa.de, Gilbert, Guy)
* Fixes for srvloc (Guy, Peter Kjellerstedt)
* Reorganize Win32 README (Gilbert)
* ICQ updates (Peter Kjellerstedt)
* ICMP proto_tree fix (Guy)
* Filter dialogue GUI fix (Guy)
* Fix rlogin "fd" assumption (Guy)
* Packet-length fixes in various dissectors (Guy)
* Add preferences to OSI CLNP/COTP/CLTP (Laurent)
* Dissector tables allow for tvbuff and non-tvbuff dissectors (Guy)
* Code cleanup (Laurent, Guy)
* SMB fix (Richard)
* Add scripts to turn lists of protocols and filterable fields, as
	produced by "ethereal -G", to SGML (Richard)
* RPC updates (Uwe)
* NLM v1 updates (Uwe)
* Add Help window (Laurent)
* Improve add_host_name fill IP host hasthable from DNS answers (Laurent)
* Add doc strings to ncp2222.py (Gilbert)
* Fix display of IPv6 frag header in proto_tree (Santeri Paavolainen)
* Add wiretap support for Cisco Secure Intrusion Detection System IPLog format
	(Mike Hall, Gilbert)
* Allow "filtering" in TCP Follow Save As, i.e., save entire conversation, or
	either half of the conversation (C->S, S->C) (Gilbert, Laurent)
* Doco update (Guy)
* BOOTP fix (Phil Techau)
* Fix Help|About order (Guy)
* Add #defines to DNS dissector (Guy)
* Fix compilation in non-source directory (Laurent)
* Add ethertypes (Laurent)
* Add routines for fetching little-endian and big-endian 64-bit integral
	quantities, if G_HAVE_GINT64 is defined (Guy)
* ISIS CLV fix (Laurent)
* Add proto_tree_add_text_valist (Laurent)
* make-reg-dotc fix (Guy)
* header-file inclusion fixes (Laurent)
* Add Kerberos 5 dissector (Wes Hardaker, Guy, Gilbert)
* Speedup of random access to compressed ngsniffer files (Guy)
* LLC non-SNAP fix (Guy)
* snprintf fixes (Guy)
* "TCP follow" support for TCP over IPv6 (Laurent)
* Add RSH dissector (Robert Tsai)
* Add HPUX doco and patches (Guy)
* Better handling of failing to open capture device (Guy)
* Cope with Linux ISDN packet headers (Guy)
* Enable/disable particular protocols (Laurent, Uwe)
* Small RPC and NFS fix (Uwe)
* Preferences GUI updates (Laurent, Guy, Gilbert)
* Packet deselection fix (Guy)
* Re-organize popup menu (Laurent)
* GUI convenience function updates (Guy)
* DNS A6 records are now RFC 2874, not i-d (itojun)
* Add support for draft-ietf-ipngwg-icmp-name-lookups-06.txt
	(ICMP node information query) (itojun)
* Gryphon plugin fix (Laurent)
* Plugin fix (Laurent)
* Add Zebra dissector (Jochen, Guy)
* ICMPv6 dissector alignment fix (itojun)
* Add port type for SCTP ports (Michael Tuexen)
* Potential buffer overflow fixes (Laurent)
* Add info to summary window (Laurent)
* Add initial support for SMTP dissector (Richard, Laurent)
* Choose bold font from normal-weight font name (Guy)
* Font fixes (Laurent)
* BGP display filter fix (Laurent)
* Ascend display filter fix (Laurent)
* Ability to mark frames with middle mouse button. (Laurent)
* Tethereal initialization fix (Guy)
* Turn FT_NSTRING_UINT8 into FT_UINT_STRING (Gilbert)
* NCP fix (Gilbert)
* Remove "Decode IPv4 TOS field as DiffServ field" from display
	options (Laurent)
* Add a help context identifier to the status bar (Laurent)
* Fix CLEANUP_* macros in exceptions code (Gilbert)
* LDAP dissector fix (Guy)
* RPC packet-state fix (Guy)
* Name updates to stuff in GSS authentication for ONC RPC (Dug Song)
* Update doco (Guy, Laurent)
* libpcap->wiretap encapsulation type mapping fix for new DLT_ types (Guy)
* LLC fix (Guy)
* pptp fix (Laurent)
* vines fix (Laurent)
* NFS v2 READDIR fix (Guy)
* Add FT_STRINGZ type (Gilbert)
* Move pointer-integer functions (pntohl, et al) to separate file (Gilbert)
* Add initial support for BXXP (Richard)
* Fix method for building list of network interfaces (Uwe, with tip o' hat
	to W. Richard Stevens)
* GIOP endianness fix (Gilbert)
* Random character in help dialogue fix (Laurent)
* Change wtap_read() parameter list to avoid hacks in some wiretap
	modules (Gilbert)
* g_malloc()/g_free() fixes (Guy)
* New tvbuff routines (Gilbert, Richard)
* libsnmp.so loading fix (Guy)
* Use inverse video instead of boldface in hex dump (Graham Bloice, Guy)
* Ability to choose fixed-width font as a GUI preference (Guy)
* Default to "6x13" rather than Lucida Typewriter, as not all X servers
	have Lucida Typewriter (Guy)
* Comment-out Cut/Copy/Paste items in Edit menu (Guy)
* redraw_hex_dump fixes (Guy)
* Negative relative and delta timestamp fixes (Guy)
* Move some string functions out of packet.c and into strutil.c (Gilbert)
* OSPF fixes (Craig Metz)
* Avoid assert in tvbuff when creating packet of bogus reported_length (Gilbert)
* Don't allow hf_text_only to be in the display filter language (Gilbert)
* Win32 .cvsignore additions (Graham)

Overview of changes in Ethereal 0.8.11:
* Set locale in tethereal (Guy)
* Dialog box utility routines (Guy)
* Modal window fixes (Guy)
* GUI cleanups (Guy)
* Add support for preferences (Guy)
* IPv4 DiffServ is a preference (Guy)
* Add strcasecmp.c for those systems that need it, like SINIX-M (Uwe)
* BOOTP magic cookie fix, option-dissection fix (Guy)
* SNMPv3 fix for security model values 1 and 2 (Guy)
* Make AH payload dissection placement a preference (Gilbert)
* Timestamp display fix (Guy)
* CLNP TSAP fix (Guy)
* NFS filehandle dissection for ReliantUNIX and Linux nfsd/knfsd (Uwe)
* TCP summary info in protocol tree is an option (Gilbert)
* OSPF enhancements and fixes (Michael Rozhavsky)
* inet_aton()-related build fixes (Guy)
* UDP has heuristic dissector table, and uses it for RPC (Uwe)
* Dissection of RPCSEC_GSS credentials in ONC RPC (Dug Song)
* DNSSEC additions/name changes (Jakob Schlyter)
* Error message cleanups (Guy)
* DNS support for MS's WINS and WINS-R resource records (Guy)
* tvbuff-ication of H1 dissector, and response identifier display change
	(Gerrit Gehnen)
* SCTP dissector (Michael.Tuexen@icn.siemens.de)
* Capture-window titlebar fix (Gilbert)
* Support for building SVR4 binary packages (Gerald)
* proto_tree/dfilter interaction change (Gilbert)
* Fix URL for libpcap (Guy)
* Improved autogen.sh script (Bruce Korb)
* Add "debian" target to Makefile (Olivier)
* Tethereal packet-count and new-line fix (Gilbert)
* SNMP "agent address" trap PDU display fix (Guy)
* Support for many more DHCP options (Jose Pedro Oliveira)
* Compiler-warning fixes in wiretap (Guy)
* Reset "visited" flag when rescanning a file (Gilbert)
* Add RPM and SRPM build targets (Gerald)
* Another shot at the undead libpcap monster fix (i.e., extra info
	in headers for ss990915 libpcap) (Guy)
* Add aclocal-flags to fix build headaches (Guy)
* In proto_tree_add_item(), access tvbuff before adding anything to
	proto_tree. (Gilbert)
* Add Quake 1 dissector (Uwe)
* GIOP dissector warns about unsupported GIOP versions (Gilbert)
* dfilter2pod build fix (Gilbert)
* Re-write of NCP dissector. Adds python to build. :) (Gilbert)
* Fix Edit->Filters...->Apply (Richard)
* Add DIAMETER dissector (David Frascone)
* Display TCP RST data as text, as per RFC 1122 (Guy, with tip o' hat
	to Kevin Steves)
* Support for capturing from a pipe (FIFO or STDIN). (Olivier)
* Cross-platform build fixes (Guy)
* Fix directory-checking routines (Guy)
* Display filters now work on string types (Gilbert)
* Initial templates for decoding all 4 NLM protocol versions (Uwe)

Overview of changes in Ethereal 0.8.10:
* Code cleanup (Gilbert)
* Assign port 1052 to DDTP (Olivier)
* Add syslog dissector (Gerald)
* Build cleanup (Guy)
* X11 dissector (Christophe, Guy)
* RPC cleanup (Guy)
* tvbuffication (Olivier, Gilbert)
* Remove dead tos_str symbol (itojun)
* More manufacturer ether codes (Gaetan Soltesz <gaetan@cisco.com>)
* Support for capturing on Linux ATM interfaces (Mark Clayton)
* NG Sniffer file reading fixes (Joerg, Guy)
* Make 'tethereal -h' look similar to 'ethereal -h' (Joerg)
* Support for "Update list of packets in real time" on Win32 (Graham)
* Win32 makefile dependency fix (Graham)
* Fix for people who don't read the FAQ. I.e., fix for
	calling snmp_set_full_objid(0 in packet-snmp.c (Guy)
* OSI fix (Guy)
* ISIS fix (Guy)
* AFS volume name display fix (Guy)
* tvbtest enhancements (Guy)
* Treat TCP follow temp file as binary, for Win32 (Guy)
* Read NetXRay 2.002 files (Joerg, Guy)
* Fix octet string buffer overflow in packet-snmp.c (Guy)
* asn1.c/packet-snmp.c code cleanup (Guy)
* Variable name ("cf"/"cfile") cleanup (Ben Fowler)
* GUI-code enhancements (Guy)
* Wiretap enhancements (Guy)
* Support for OSI CLTP (Guy)
* ISAKMP padding fix (Guy)
* GUI progress bar change (Guy)
* Debian build-file fix (Olivier)

Overview of changes in Ethereal 0.8.9:
* Timestamps in RTP summary column (Jason Lango)
* Fix build warnings (Ron Flory)
* Make our GtkCList sortable (Graham Bloice)
* Use F<> instead of B<> for files in man pages (Guy)
* Fix a type IP packet counter (Gerald)
* Build fixes (Gilbert, Guy)
* Rename "private" to "dump", to avoid C++ reserved word (Guy)
* Add tvbuff class and exceptions module (Gilbert, Guy)
* Convert dissectors to use tvbuffs (Gilbert, Olivier, Guy)
* Support ISAKMP Configuration Method (Yaniv Kaul)
* Fix tethereal/wiretap error-reporting bug (Gilbert)
* Add sample Makefile for regression testing (Gilbert)
* Dissect substring filters in packet-ldap.c (Guy)
* Fix wtap.h typo (Alan Harrison)
* Change usage of 'fd' in file.c (Ben Fowler)
* Fix endian bug in ngsniffer.c (Guy)
* Fix smb-pipe NetServEnum (Guy)
* Fix VTP to correctly add ipv4 address to proto_tree (Guy)
* cf->current_frame fix for correctly displaying GtkCList (Guy)
* SMUX and SNMPv3 support (Jochen Friedrich)
* Fix snmp-less build (Guy)
* Show Ethernet trailer (Gilbert)
* Old-style fixes for bounds checking (Guy, Gilbert)
* Make proto_tree_is_visible false more of the time (Guy)
* Support for GRE over IPX (Paul Ionescu)
* Move psuedo_header out of frame_data structure to save memory. Required
	changes in wiretap, too. (Guy)
* Doco fixes (Guy)
* Mark DCHP packets as DHCP, using bootp.dhcp flag. (Paul Ionescu)
* Fix randpkt.c for new wtap_dump() (Gilbert)
* Correctly handle 0-length FT_BYTES (Gilbert)
* Header file fixes (Guy, Gilbert)
* SMUX-related fix (Guy)
* More wiretap zlib fixes (Guy)
* Detect Cisco and Novell type IPX packets (Paul Ionescu)
* Close the capture file descriptor (Mark Burton, Guy)
* More ISAKMP additions (Yaniv Kaul, Guy)
* Support for EIGRP over Appletalk and IPX (Paul Ionescu)
* Fix display of IP fragment (Scott Howard)
* Fix for Linux ISDN ippp devices (Gilbert)
* Change handling of capture_ppp() (Gilbert)
* SMB fixes (Mark Burton)
* Support for reading compressed Sniffer fils (Tim Farley, Joerg, Guy)
* GTK dialogue fixes (Guy)
* Incorporate gtkclist.c from GTK+ 1.2.8 (Guy)
* Initial SCTP support (Michael Tuexen)
* Support for Mobile IP dissection (Stefan Raab, Gilbert, Guy)
* Fix for X.25 dbit (Gilbert)
* Enable more dissector handoff tables (Guy)
* Win32 build enhancements (Graham Bloice)
* X.25 LCN display fix (Olivier)
* C/C++ typedef fixes (Guy, Andreas Sikkema)
* Change proto_tree_add_*() calls to find more errors at compile time (Guy)
* Fix plugin function pointer table (Gilbert)
* Add "Enable name resolution" check box to File Open dialogue (Gilbert)
* Fix RSVP for Resv Tear Confirm message (Gilbert)
* Show ICMP sequence number as two bytes instead of integer of unknown-endianness (Gilbert)
* Add gtk_set_locale() to main (Kaoru Kusunoki)
* Make dissect_ah() use dissector handoff tables (Gilbert)
* Fix L2TP dissector to call dissect_ppp() (Gilbert)
* Support for COPS (Heikki)

Overview of changes in Ethereal 0.8.8:
* Implement dissector tables for various protocols (Gilbert, Guy)
* Add "visited" flag to each frame (Gilbert, Guy)
* Renamed the DHIS protocol to DDTP (Olivier)
* Change win32 port to build as a Windows (non-console) program (Guy)
* Improved display of FTP data (Richard)
* Add icon and resource for Win32 ethereal (Graham Bloice)
* OSI fix (Guy)
* Wiretap code cleanup (Guy)
* Updates to OSI CLNP, CLTP, ISIS. Added OSI ESIS (Ralf Schneider)
* Per-frame data allocation (Richard)
* Update NCP code to use conversation types (Guy)
* Fix checksum option decoding in CC/CR TPDU in CLNP dissector (Laurent)
* Detect compressed A/C PPP fields (Greg Kilfoyle)
* Support for decoding MS Proxy protocol (Jeff Foster)
* Fragmented IPv6 fix (Guy)
* Fixes to LPD dissector (Matthijs Melchior <mmelchior@lucent.com>)
* Support for RTCP and RTP (Jason Lango)
* RTSP fixes (Guy)
* IPv4 dissector and doco fix (Ben Fowler <wapdev@leedsnet.com>)
* Add proto_tree_add_int_format() (Gilbert)
* Support IPv6 name resolution A6 packet (itojun)
* Support AD and CD bit in RFC2535 section 6 (itojun)
* Add "-s" to editcap (Guy)
* Print spaces as spaces in hex dump pane (Gilbert, Guy)
* Don't dissect encrypted payload in ISAKMP packet (Guy)
* SINEC H1 fixes (Gerrit Gehnen)
* Plugin fixes (Gerrit Gehnen)
* Win32 build fixes (Graham Bloice)
* Doco updates (Guy)
* Menu fixes (Guy)
* Dialogue window helper functions (Guy)
* GUI button-creation functions (Guy)
* Speedups in token-ring dissector (Gilbert)
* Registration of lists of "heuristic" dissectors (Guy)
* Ethereal child process error-handling (Guy)
* Fix problems with dialogue windows popping up multiple times (Guy)

Overview of changes in Ethereal 0.8.7:
* Small memleak in "Find Frame" plugged (Guy)
* Correct behavior for stopping frame search (Guy)
* RPM spec file fix (Patrick Higgins <phiggins@transzap.com>)
* Disable "Update list of packets in real time" and
	"Automatic scrolling in live capture" for Win32 (Gilbert)
* Avoid using zero-length arrays in packet-rsvp.c (Guy)
* Add wtap_read() func to wtap.c (Richard, Guy)
* Update to SMB Browse (Richard)
* Rlogin dissector (Jeff Foster)
* Re-arrange dissector_add() calls and make some dissectors static
	for dissectors under TCP and UDP (Guy)
* Remove unused value_string in packet-llc.c (Guy)
* Add DOCSIS BPDU (Johannes Hennecke <Johannes.Hennecke@elsa.de>)
* Separate variables for "File|Open" and "File|Save [As]" (Guy)
* BGP confederations support (Greg Hankins)
* Correct display of FT_BOOLEANs inside bitfields (Gilbert)
* Catch loops in DNS names. Avoids zlip DNS DoS exploit (Guy)
* Compile tethereal and editcap for Win32 (Gilbert)
* Support CIFS-over-TCP w/o NBSS (Mark Muhlestein)
* .cvsignore updates (Ben Fowler)
* Add SOCKS[45] dissector, plus changes to conversation.c (Jeff Foster)
* Fix int size for I and S LLC frames. (Guy)
* Update packet-osi.c [CLNP] (Guy)
* Update packet-isis.c (Guy)
* Fix typo in packet-h1.c (Guy)
* Update Win32 doco (Guy)
* Fix null filter string display in summary dialogue (Guy)

Overview of changes in Ethereal 0.8.6:
* L2TP spelling fix (Florian)
* RADIUS update (Florian)
* LDAP build fix (Guy)
* Fix for not being able to capture more than once in a session (Guy)
* Developers' doc update (Guy)
* Build fixes (Guy)

Overview of changes in Ethereal 0.8.5:
* Fix for reading Toshiba ISDN router trace files (Gilbert)
* Fix proto_* calls in various dissectors (Guy, Gilbert)
* Fix offset in packet-ipp.c (Guy)
* Documentation updates (Guy, Olivier)
* Another iteration of the frame_data pointer/GtkCList headache (Guy)
* Support for DUMP and EXPORT replies in packet-mount.c (Uwe)
* Support for MPLS (Ashok)
* RSVP fixes (Guy)
* Fix TCP Stream (Guy)
* Break proto_tree_add* functions into many more (Gilbert, Guy)
* Win32 version uses HOMEDRIVE and HOMEPATH instead of HOME (Guy)
* More *BSD zlib fixes (Guy)
* Fix to handle SNMPv2 TRAP PDUs (Dietmar Petras)
* Fix SNMP (Guy)
* Fix "Find Frame"/"Go To Frame" dialogue boxes (Guy)
* Plugin API fixes (Guy)
* LAPB update (Olivier)
* EIGRP update (Guy)
* V120 update (Guy)
* RADIUS changes (Florian Lohoff)
* Add new filterable fields to eth, tr, fddi, isl (Jeff Foster, Gilbert)
* Add Novell option decoding (Fredrik Sorensson <fsn@volvo.se>>
* More proto- and dfilter- assertions (Gilbert, Ben Fowler <wapdev@leedsnet.com>)
* Fix IPv6 fragment handling (Jochen Friedrich)
* DNS update (Guy, Itojun)
* IPv4 udpate (Guy)
* Enable capturing in Win32 (Paul Welchinski)
* Fix for SMB (Andreas Sikkema)
* Wiretap update; fix for Netmon reader (Guy)
* L2TP fixes (Florian Lohoff)
* NFS update (Guy)
* Telnet update (Guy)
* Per-frame proto data (Richard)
* ASN.1 update (Guy)
* PPP over GRE fix (Gilbert)
* ISIS-HELLO fix (Ralf Schneider)
* Display filter string length fix (Ralf Schneider)
* Re-work of LDAP dissector (Doug Nazar)
* Win32 file-save fix (Andreas Sikkema)
* Add getopt routine for Win32 (Gilbert)
* BGP route reflection support (Greg Hankins <gregh@twoguys.org>)
* BOOTP fix (Michael Johnston)
* Lex build fix (Guy)
* Remove extra menu entries for "Find Frame" and "Go To Frame" (Guy)
* Wiretrace's iptrace reader now reads IBM SP switch traces (Jochen Friedrich)
* HP-UX build fix (Guy)
* Plugin update (Olivier)
* Summary dialogue window fix (Guy)
* Ethereal exit logic re-org (Guy)
* Filter dialogue re-org (Guy)
* Use GMemChunk for frame_data structs (Guy)
* Allow registration of protocol handoffs (Jeff Foster, Guy)
* Win32 build fix for new WinPcap library (Guy)

Overview of changes in Ethereal 0.8.4:
* Listen for exception on GDK_INPUT_EXCEPTION on sync pipe (Gilbert)
* Correct timestamp bug in dissect_ipopt_timestamp() (Paul Ionescu, Olivier)
* Win32 fixes (Ed Meaney)
* Fix PLUGIN_DIR scanning (Olivier)
* Support for Cisco Group Management Protocol (Guy)
* Allow filtering on 24-bit integral fields (Guy)
* Support for Cisco's Virtual Trunking Protocol (guy)
* Enable plugins on Win32 (Gilbert)
* Debian packaging changes (Olivier)
* Win32 build fix (Gilbert)
* Fix bug in tftp (Dietmar Petras)
* Support for Time Protocol (Dietmar)
* Support for win32 libpcap (Ed Meaney)
* Typo in Makefile.am (Sean Walmsley <sean.p.walmsley@Hydro.ON.CA>)
* Build fix, plus suport for setuid ethereal [DANGEROUS!]
	(Peter Kjellerstedt <peter.kjellerstedt@axis.com>)
* Typo fix in OSPF (Nick Amato)
* Code movement (Guy)
* NetBSD zlib build fix (Itojun, Guy)
* Misc. code fixes (Guy)
* Win32 fixes (Guy)
* Support for SMB Mailslot and Netlogin (Jeff Foster)
* BOOTP fix (Dietmar Petras)
* "A header file for every dissector" (Gilbert)
* Fix NetBIOS name types (Richard)
* Allow for non-"struct timeval" in tethereal (Gilbert)
* Upgrade gtkclist.c to GTK+-1.2.7 (Gilbert)
* Support raw IP nettl captures (Olivier)
* Fix X.25 data structure initialization (Olivier, Guy)
* New WTAP error code: WTAP_ERR_UNSUPPORTED_ENCAP (Guy)
* LanMan fix (Richard)
* Doco updates (Guy)
* Fix for UCD SNMP 4.1.x
* "Resolve Name" item in proto tree popup (Laurent)
* Buffer fix (Guy)
* SMB Logon fix (Richard, Jeff Foster)
* Tethereal fix for multi-arg filters on command line (Guy)
* Fix HTTP request and response (Laurent)
* Support for Dynamic Host Information Services (Olivier)
* Add TCP segment length to TCP packet summary (Fred Reimer)
* Pop up single packet's proto tree in new window (Jeff Foster, Guy)
* Developer's README, finally! (James Coe, Guy, Jeff Foster, Gilbert)
* Support for HP-UX 11 nettl files (Olivier)
* Make scrollbar placement option ubiquitous (Guy)
* Support for Sinec H1 protocol (Gerrit Gehnen)
* Show version number resource in COTP (Gerrit Gehnen)

Overview of changes in Ethereal 0.8.3:
* Win32 path delimiter fixes (Guy)
* clnp fix (Guy)
* tethereal initialization fix (Guy)
* Debian packaging files (Olivier)
* NFS readdir* segfault fix (Uwe)
* file_seek() fix (Guy)
* "struct timeval"/"struct bpf_timeval" fix (Guy)
* TFTP Option Extension (RFC 2347) support (Craig Newell)
* Menu fixes (Gilbert)
* PPP sequence number fix (Gilbert)
* Support for NetXRay WAN traces (Gilbert)
* X.25 fix (Guy)
* TCP Follow EBCDIC toggle fix (Gilbert)
* New get_home_dir() function for HOME env var (Gilbert, Guy)
* Additional NLPIDs (Guy)
* New "ethereal_static" make target (Nathan)
* Capture window close button fix (Nathan)
* Plugin directory symlink scanning fix (Olivier)
* Add SNMP trap port to udp dissector (Guy)

Overview of changes in Ethereal 0.8.2:
* Add editcap as standard install target (Guy)
* Add manpage for editcap (Guy)
* GUI code movement (Guy)
* Read-only Win32 support (Gilbert, Guy)
* L2TP updates (Laurent Cazalet, Thomas Parvais)
* select() workaround for Linux libpcap bug (Guy)
* Cisco CDP fixes (Guy)
* Hex dump option in TCP Stream window (Olivier)
* Assorted frame numbering fixes (Guy)
* Filterable RTSP fields (Jason)
* X.25-over-Ethernet support, perhaps (Guy)
* Export and usage of NLPID values (Guy)
* zlib fix for {Free,Open,Net}BSD (Guy, Itojun)
* Add tethereal and manpage (Guy)
* Doc updates (Guy, Gilbert)
* Fix type in hex printing in netbios (Gerald)
* Work around RedHat 6.1 libpcap filter "feature" (Gerald)
* Fix alignment issues (Guy)
* Tethereal mods (Nathan)
* Use gmodule for dynamic linking instead of libltdl (Gilbert)
* Build fixes (Guy)
* Plugins in tethereal (Olivier)
* Editcap mods (Richard)
* Change code to use strchr() instead of index() (Guy)
* Change code to use strrchr() instead of rindex() (Guy)
* Pop-up menus with right-clicks (Jerry Talkington)
* Packet scrolling option in capture dialogue window (Guy)
* Full NFSv3 support (Uwe)
* Fix byte-order and alignment problems in PPTP
	(Thomas Quinot, Debian bug 55347)
* Support for both HP-UX 9.04 and HP-UX 10.20 nettl files (Olivier)
* "Inactive Subset" in ISO 8473 CLNP (Gerrit Gehnen)
* Vines update (Joerg)
* tm_mon fix (Guy)
* New proto_item_set_text() and proto_tree_add_notext() functions (Guy)
* New functionality in dissect_rpc_string() (Guy)
* CDP fixes (Paul Ionescu)
* packet_info and ethernet changes (Guy)
* LLC updates (Guy)
* Flag for IPv4 TOS field/DiffServ field (Heikki Vatiainen)
* Cisco ISL support (Guy)
* Workaround for GTK+-1.2.[3-6] text widget bug (Gerald)
* Menu updates and fixes (Gerald, Gilbert, Guy, henceforth "3G")
* Parse multiple COMMUNITIES value in BGP (Itojun)

Overview of changes in Ethereal 0.8.1:
* Fix mulitiple-selection bug in packet list (Gilbert)
* Check for libtool and libtool version (Guy)
* Toshiba file reader handles relative dates (Gilbert)
* File|Open dialogue box directory hack (Gilbert)
* Modify appearance of lines and expanders in GUI proto tree (Gilbert)
* Make code ANSI-C compliant and other build fixes (Guy)
* Fix side effects of using GtkCTree and GTK_SELECTION_BROWSE (Guy)
* Abstract out some of the menu code from the GUI routines (Guy)
* Re-arrange some GUI code (Guy)
* "Default" button for resetting plugin filter string (Olivier)
* Plugin status save/restore (Olivier)
* Add notes about sniffing VMware connections (Gilbert)
* Add focus for "Find Frame" and "Go to Frame" (Guy)
* Reconcile differences in integer size used for ports
	in conversation code and packet_info code (Gilbert)
* Empty string capture filters for libpcap craziness (Gerald, Guy)
* Manpage updates (Guy)
* Print packets as multiple pages of PostScript (Guy)
* Fix "Follow TCP Stream" print function (Guy)
* Avoid segfault in SMB reported by
	Aaron Bush <abush@microcenter.com> (Gilbert)
* L2TP support (John Thomes)
* Allow printing during capturing

Overview of changes in Ethereal 0.8.0:
* RPC and NFS updates, complete NFSv2 support (Uwe, Gilbert)
* Initial TNS support (Nathan)
* Documenatation and distribution updates (Gilbert, Guy, Itojun, Gerald)
* SMB fixes (Gilbert, Richard, Olivier, Greg Kilfoyle)
* Color preference fixes and updates (Guy)
* NetBIOS fixes (Guy)
* IPX fixes and updates (Guy, Nathan)
* Capture/file save facility updates (Guy)
* Add IPX stats to capture window (Gilbert)
* Appropriately enable/disable the "follow" menu item (Florian)
* ICQ fixes from Guy and Kojak (Guy)
* Add Christopher McAvaney's format_text() fix (Guy)
* Stream window color prefs (Gerald)
* Myriad GUI fixes and enhancements (Gilbert, Guy)
* RADIUS fixes thanks to Arni Raghu <arni@caip.rutgers.edu> (Gilbert)
* VLAN updates (Nathan)
* Byte view fixes (Nathan)
* Initial TACACS+/XTACACS support (Nathan)
* Multiple file format capability in wiretap and Ethereal (including Snoop,
  Netmon 1.x, Sniffer, Netxray, and various flavors of libpcap)
  (Guy, Olivier, Nathan)
* Added editcap to the distribution (Richard)
* Enhancements to wiretap's file output capabilities (Guy)
* Add our own SNMP PDU dissector; other SNMP fixes and updates (Guy)
* ASN.1 code added; used by SNMP dissector, and available for other use
  by other dissectors (Guy)
* LLC/SNAP fixes and updates (Guy, Nathan)
* NTP fixes (Guy, Gerald)
* ISAKMP updates from Dave Chapeskie (Guy)
* Reduced dependency on "global.h" (Gilbert, Guy)
* HTTP updates from Jerry Talkington (Guy)
* Added IRC dissector (Nathan)
* DNS updates (Nathan)
* Added James Coe's patch(es) to add SRVLOC and NCP-over-IP support (Guy)
* CLI fixes and enhancements (Guy)
* ARP improvements (Nathan)
* Capture length fixes for IRIX (Guy)
* BGP updates from Greg Hankins, and other BGP fixes (Itojun)
* Added Philip Gladstone <philip@raptor.com>'s patch to check IP header
  checksum (Gilbert)
* GRE updates, merged code from Jerry Talkington (Guy)
* AppleTalk updates, including NBP and RTMP dissectors (Nathan, Guy)
* Initial LDAP support (Nathan)
* X.25 updates (Olivier)
* Plugin support (Olivier)
* Fixes for packet-ip.c (Guy, Gilbert)
* Jerry Talkington's patch to move filter prefs to their own dialog (Guy)
* Fixes for RedHat's modified version of libpcap (Guy)
* WCCP dissector from Jerry Talkington (Guy)
* rwho/rwhod/ruptime support added (Gilbert)
* Added Bert Driehuis <driehuis@playbeing.org>'s I4B wiretap module
  and V.120 decoder (Gilbert, Guy)
* RSVP fixes (Gilbert)
* NCP fixes and updates, other fixes from James Coe (Nathan, Guy)
* Q.931 updates from Bert Driehuis (Guy)
* ISDN4BSD updates (Guy)
* Support for ISIS thanks to Stuart Stanley (Guy)
* Support for Dearborn Group Technology's Gryphon as a plugin (Gilbert)
* Win32 port updates (Guy)
* LPD segfault fixes reported by Gregor Glomm (Gilbert)
* GUI page added to preferences (Gilbert)
* Libtool integrated with the distribution (Gerald, Guy, Itojun)
* OUI updates (Guy)
* Summary-dialog-on-empty-capture segfault bug squished (Guy)

Overview of changes in Ethereal 0.7.9:
* Compilation warning fix (Guy)
* Updates to Q.931 (Guy)
* Updates to Q.2931 (Guy)
* Display filter widget uses GtkCombo (Gerald)
* Added SNMP over Ethernet (Gilbert)
* Small changes to display filters from tcp follow and match selected (Gilbert)
* Fix problem and update SMB (Richard)
* Update portmap (Uwe)
* Update NFS (Uwe)
* Support for iptrace 1.0 files (Gilbert; thanks to
	Florian Lohoff <flo@rfc822.org> for sample trace files)
* Update support for netmon 2.0 files (Guy)
* Updates to ATM (Guy)
* Updates to ARP (Guy)
* Updates to DNS (Guy)
* Support for both PPP and LAPB as WAN links in NG Sniffer files (Guy)
* Colorize TCP streams (Gerald)
* Make autoconf check for correct contents of libz library (Guy)
* Updates to About box (Guy, Gilbert)

Overview of changes in Ethereal 0.7.8:
* Added RPC and NFS (Uwe)
* Added IGRP/EIGRP (Don)
* "Print" button in TCP Follow window (Warren Young)
* BGP enhancemnets (Itojun, Greg)
* Wiretap support for Toshiba ISDN router traces (Gilbert)
* More filterable fields (Guy, Laurent)
* AIX and IBM C compiler fixes (Craig Rodrigues)
* General fixes (Guy)
* LPD dissector segfault fix (Gilbert)
* ICQ update (Kojak)
* VLAN update (Nathan)
* "Find Frame" function (Guy)
* Support for newer libpcaps, and broken RH 6.1 libpcap (Guy)
* DNS update (Brian J. Murrell), and similar NBNS update (Guy)
* More DNS updates (Guy)
* "Go to frame" function (Guy)
* Added IMAP (Nathan)
* Added various RPC stubs (Nathan)
* Added portmap (Nathan)
* Added LAPD (Gilbert, Guy)
* LLC fix (Guy)
* Added Q.931 (Guy)
* SMB updates and segfault fixes (Richard)
* Added bootparams (Nathan)
* Added ypserv (Nathan)
* Conversation code fix (Guy)
* Added mount and stat (Nathan)
* Added MAPI (Nathan)
* IPv4 address comparison and subnet testing in display filters (Gilbert)
* Added NLM (Uwe)
* More IPX SAP types (Nathan)
* Automatic ETT_* enum number registration (Guy)
* Added SAP (Session Announcement Protocol) (Heikki)
* Wiretap support for ATM iptrace files (Guy, Gilbert)
* OSPF fix (Heikki)
* General routines for registration of "init" routines (Guy)
* Added ILMI (SNMP over ATM AAL5) (Guy)
* Added SSCOP (Guy)
* Added Q.2931 (Guy)
* "Match selected" produces display filters with field names (Gilbert)
* IPX packet summary resolves IPX network names and MAC addresses (Gilbert)
* POP fixes (Heikki)
* Added VRRP (Heikki)
* Display filter "Reset" button (Laurent)
* Added HSRP (Heikki)
* SNA packets show hex dump with EBCDIC converted to ASCII (Gilbert)
* Added Cisco Auto-RP (Heikki)

Overview of changes in Ethereal 0.7.7:
* Check header length in IP header (Guy)
* Fix printf formats in packet-rx.c (Guy)
* NTP changes (Tomislav Vujec)
* Add conversation mechanism and generalize net/datalink address storage (Guy)
* Fix ipproto.c bug (Guy)
* Removed erroneous assert in packet-sna.c (Gilbert)
* Support for Appletalk DDP, Banyan Vines, and SNA FID type 4 addresses
	in "address" type code (Guy)
* Fixes for Appletalk and Vines (Guy)
* Add ICQ dissector (Kojak)
* Remove compilation warnings in packet-snmp.c (Tomislav)
* Remove compilation warnings from packet-smb.c (Richard)
* Add make-reg-dotc to let non-GNU makes work. (Guy)
* Fix AIX compilation (Guy, Gilbert)
* Fix autoconf weird-path problem (Guy)

Overview of changes in Ethereal 0.7.6:
* Fix xdlc bug (Guy, Gilbert)
* Add name resolution option to GUI. (Laurent)
* Fix LLC bug (Guy)
* Display filter bug fixes
	Santeri Paavolainen <santtu@ssh.fi>
	Dewi Morgan <dewim@sco.com>
	(Gilbert)
* Print changes (Guy)
* NG Sniffer FDDI time unit fix (Guy)
* Fixes for SINIX (Uwe Girlich)
* Lots of fork/sync fixes (Guy)
* Add filename to Capture dialog box (Guy)
* New display filters for many protocols
	(Laurent... the man!)
* Check for bad packet lengths in many protocols
	(Laurent, Gilbert, Guy)
* More SMB fields and fixes (Richard, Guy)
* NBNS fix (Richard)
* POP fix (Laurent)
* Fix behavior for bad color filters (Gilbert)
* Default colors for color wheel (Santeri Paavolainen <santtu@ssh.fi>)
* ZLIB error messages (Guy)
* Display filter byte-string syntax additions (Gilbert)
* IPv6 proto_tree and display filter support (Lareunt, Jun-ichiro)
* Added info to protocol registration (Gilbert)
* Added signed integer support to display filters (Phil Techau)
* IPv6 fixes (Jun-ichiro)
* ASCII/EBCDIC conversion in TCP Follow window (Gilbert)
* Add DOUBLE filtering to display filters (Gilbert)
* OSPF fix to dissect MD5 field (Tony Hard <thart@avici.com>
* Automated method of finding proto_register functions (Guy)
* Wiretap support for nettl (HP-UX trace tool) (Olivier)
* Added BPDU (Christophe Tronche)
* Added SNA (Gilbert)
* Added RIPng, PIM (Jun-ichiro)
* Added Yahoo messager and pager protocols (Nathan)
* Added NTP (Nathan)
* Added BGP (Jun-ichiro)
* Added AFS, RX (Nathan)
* Addef VLAN (802.1q) (Nathan)

Overview of changes in Ethereal 0.7.5:
* Fixed bug when reading files on FreeBSD (Guy)
* Fixed compilation bug when disabling zlib on FreeBSD (Guy)

Overview of changes in Ethereal 0.7.4:
* Fixed Radcom file reader in wiretap (Olivier)
* Add "--with-ucdsnmp" to autoconf (Bert Driehuis <driehuis@playbeing.org>)
* Fix snoop reader for Solaris seek problem (Guy)
* NetBIOS and NBIPX updates (Guy)
* Capture dialogue changes (Guy, Laurent)
* Movement of GTK files to subdirectory (Gilbert, Guy)
* Wiretap support for Lucent/Ascent WAN router traces (Gerald)
* Added dissector for Internet Cache Protocol (Peter Torvals)
* Added dissector for Internet Printing Protocol (Guy)
* Show the IP flags as 4 bits (Daniel Ryde <ryde@tripnet.se>)
* Changed usage of FT_BOOLEAN (Gilbert)
* Fixed bugs with short packets and eth, tr, and fddi (Gilbert, Guy)
* Fix for IPX SAP types (Mark H. Wood <mwood@IUPUI.edu>)
* TRMAC now uses dfilter variables (Gilbert)
* randpkt added; produces trace file of random packets (Gilbert)
* New helper macros in packet.h (Guy)
* x.25 and lapb fixes (Olivier)
* Wiretap compilation fixes (Laurent)
* OSI fixes; CLNP now uses dfilter variables (Laurent)
* New Collapse/Expand All function (Laurent)
* Enhanced printing options (Guy)
* zlib support for compress trace files (Ashok)
* Fix ICMP timestamp dissection (Dirk Bonne <dirk@out1.mx.skynet.be>)

Overview of changes in Ethereal 0.7.3:
* Fixed bug in RSVP, added RSVP+ support (Ashok)
* Fixed bug in display filter parsing (Gilbert)
* Allow compilation from different directory
	(Brad, <brad@openbsd.org>)
* Packet colorization (John)
* Updated RSVP decoder (Ashok)
* Fixed Token-Ring for more Linux 2.0 drivers
	(Tom Gallagher <Tom.Gallagher@madge.com>)
* Change to usage of boolean fields in display filters (Gilbert)
* Optimized GTKClist (Guy)
* Optimized wiretap/ethereal interaction (Guy)
* Handle NBNS continuations (Richard)
* Started ATM support (Guy)
* Enhanced user-friendliness via default behaviors and error messages
	(Guy, Gilbert)
* Fixed ICMP/IGMP checksums (Richard Jřrgensen <ric@tbit.dk>)
* Removed security-related race-condition when capturing (Guy)
* Lots and lots o' misc. fixes (Guy)

Overview of changes in Ethereal 0.7.2:
* Another memory leak fix (Jochen)
* Allow compilation from different directory (Laurent, Gilbert)
* -R flag for on command line, applied when reading a capture file (Jochen)
* Updated docs (Guy)
* Handles ICMP Unreachable|Frag Required (John)
* NetBEUI support (Jeff, Guy)
* Fix for Token-Ring RIF display (Gilbert)
* Dramatically decreased file-load time (Guy)
* Fixed -S option timeout handling (Laurent)

Overview of changes in Ethereal 0.7.1:
* Fixed big memory leaks in dfilter code (Guy)
* Enhanced xdlc, llc, and x25 (Guy, Olivier)
* Made glossary-dump option not initialize X11 (Guy)
* Fixed logical operands in dfilter code (Gilbert)
* Added progress bar to display filter (Gilbert)
* -S option fix (Laurent)

Overview of changes in Ethereal 0.7.0:
* Addition of RTSP and SDP dissectors (Jason)
* New proto_tree and display filter system (Gilbert)
* Updated SMB suport (Richard)
* RADIUS dissector added (Johan)
* Display filter text-entry does auto-reload (Guy)
* Now compiles on Win32 (Gilbert)
* Removed support for GTK+-1.[01].x (Gilbert)
* Column re-sizing changes (Guy)
* Linux ATM Classical IP support (Theirry)
* X.25 support in wiretap iptrace routine (Olivier)
* Wiretap fix for "-S" ethereal option (Laurent)
* LAPB and X.25 dissectors added (Olivier)
* FreeBSD compilation cleanups (Bill Fumerola,
	<billf@jade.chc-chimes.com>)
* Ability to print all packets at once (Guy)

Overview of changes in Ethereal 0.6.3:
* Capture dialogue window data bug-fix (Guy)
* PPPoE (PPP over Ethernet) added (Jeff Jahr)
* ISAKMP, GRE, PPTP added (Brad Robel-Forrest)
* RSVP added (Ashok Narayanan)
* Summary dialogue added (Aaron Hillegass)
* Match Selected GUI added (Ashok Narayanan)
* Display Option GUI allows change of Time column (Guy)
* GTK 1.[12] bug fix (Gilbert)
* Code clean up (Guy)
* strerror() added for platforms that don't have it (Guy)

Overview of changes in Ethereal 0.6.2:
* Almost-real-time capture and display (John, Laurent)
* Initial support for SMB (Richard)
* Initial support for SNMP (Didier, Gilbert)
* Wiretap now reads NetMon 2.0 file formats (Guy)

Overview of changes in Ethereal 0.6.1:
* Released because of packaging problem in 0.6.0
* Information about building on Tru64

Overview of changes in Ethereal 0.6.0:
* IPv6 support greatly improved (Jun-ichiro)
* IPsec added (Jun-ichiro)
* NCP code totally re-written (Gilbert)
* GTK dependencies removed from packet-*.c code (Gilbert)
* Captures now saved in temporary files (Gilbert)
* Statistics are more accurate during capture (Guy)
* TCP-follow bug fixed (Laurent)
* ANSI complieant bitfields for TCP and AATALK (Gilbert)
* Various time fields decoded better (Guy)
* NetBIOS Node types added to DHCP (Guy)
* Cisco Discovery Protocol updated (Hannes)
* DNS acronyms converted to English (Guy)
* FTP, TFTP, POP, and Telnet added (Richard)
* NNTP and HTTP added (Guy)
* NetBIOS Sessions over TCP added (Guy)
* NetBIOS Name Servic improved (Guy)
* IP field over-writing bug fixed (Hannes)
* Wiretap does some offline filtering (Gilbert)
* Wiretap now supports NetMon, NetXray, Sniffer Pro (Guy)

Overview of changes in Ethereal 0.5.1:
* Updated Vines support (Joerg Mayer)
* Bitfield decoding support (Guy)
* GTK+ 1.1/1.2 support (Gilbert, Gerald)
* Make TCP info more verbose (Gerald)
* Fix resize problems w/main window (Gerald)
* Fix time output (Gerald)
* Add support for AIX iptrace files to wiretap (Gilbert)

Overview of changes in Ethereal 0.5.0:
* Initial release of wiretap library (Gilbert)
* Sun C compiler fixes (Laurent)
* Enhanced PPP support (Guy)
* OMG CORBA GIOP/IIOP support (Laurent)
* Configurable columns (Gerald)
* Lots of other fixes and enhancements

Overview of changes in Ethereal 0.4.1:
* Copious amount of fixes (Guy)
* Minor fixes to the filter prefs dialog (Gerald)
* About box (Laurent)
* Initial NetBIOS Name Services support (Gilbert, Guy)
* Initial AppleTalk support (Simon Wilkinson)

Overview of changes in Ethereal 0.4.0:

* Lots of fixes from Guy Harris
* Preferences dialog (Gerald)
* OSPF updates (Hannes, Gerald)
* FDDI support (Laurent, Guy)
* Separate display and capture filters (Gerald)

Overview of changes in Ethereal 0.3.17:

* Ethernet manufacturer support (Laurent)
* Netware SAP support (Gilbert)
* Misc Netware/token ring fixes and enhancements (Gilbert)
* PPP fixes (Gerald)
* Null/loopback interface support (Gerald)

Overview of changes in Ethereal 0.3.16:

* Support for ISO/OSI CLNP & COTP (Laurent)
* Support for Banyan Vines (Don)
* TCP reconstruction support (Mike)

Overview of changes in Ethereal 0.3.15:

* OSPF fixes (Hannes)
* Preliminary IPv6 support (Hannes)
* Name resolution (Laurent)
* Font and help option (Laurent)
* Token ring fixes (Gilbert)
* DLT_RAW #define fixes (Laurent, Hannes and a few others)

Overview of changes in Ethereal 0.3.14:

* Added Laurent's fixes to pntoh[sl].
* RIP fixes (Laurent)
* Added Gilbert's BOOTP code.

Overview of changes in Ethereal 0.3.13:

* Made the tree items "sticky"
* Expanded the pntoh[sl] macros, fixed alignment problems with IPX code.
* Changes to packet-ppp and packet-raw

Overview of changes in Ethereal 0.3.12:

* RIP support (Hannes)
* LPR/LPD support (Gilbert)
* Changes to #includes to improve compatibility.

Overview of changes in Ethereal 0.3.11:

* Fixed a file capture bug.

Overview of changes in Ethereal 0.3.10:

* Fixed a Makefile bug with the new snprintf package.

Overview of changes in Ethereal 0.3.9:

* Switched to a different version of snprintf.c.
* Minor bug fixes.
* Fixes to Makefile.am.

Overview of changes in Ethereal 0.3.8:

* PostScript(R) output (Gilbert)
* More OSPF code (Hannes)
* Enhanced DNS (Bobo)

Overview of changes in Ethereal 0.3.7:

* Enhanced OSPF (Hannes)
* Fixed small bug in filter dialog.

Overview of changes in Ethereal 0.3.6:

* Added OSPF support, thanks to Hannes Boehm.
* Added -B, -P, and -T flags.

Overview of changes in Ethereal 0.3.5:

* Command line argument fixes/upgrades.
* Compatibility fixes.
* Initial pod/man page documentation.
* Miscellaneous changes to the way things are done in capture.c.
* Initial support for DNS and IGMP.

Overview of changes in Ethereal 0.3.4:

* Printer preferences dialog added (Gilbert)
* Misc fixes/upgrades.

Overview of changes in Ethereal 0.3.3:

* Added PPP support, thanks to Mike Hall.
* Added dialogs for errors/warnings.
* Support for the -r flag was added.
* Other minor fixes/upgrades.

Overview of changes in Ethereal 0.3.2:

* Misc bug fixes & minor enhancements.
* Added preliminary ICMP support
* Added preliminary printing support (Gilbert)

Overview of changes in Ethereal 0.3.1:

* Fixed bug that prevented capturing with a filter.
* Fixed misc. header problems.

Overview of changes in Ethereal 0.3.0:

* Initial support for filters.
* Fixes/enhancements for IPX and token ring (Gilbert).

Overview of changes in Ethereal 0.2.3:

* Added support for IPX, thanks to Gilbert.

Overview of changes in Ethereal 0.2.2:

* Added support for token ring, thanks to Gilbert Ramirez, Jr.

Overview of changes in Ethereal 0.2.1:

* Internal structs for ARP/RARP, IP, TCP, and UDP were created.  Trying to 
  sort out which #includes were needed for each system was just too much of
  a hassle.
* Added support for systems that don't have snprintf() and vsnprintf(), thanks
  to Theo de Raadt.
* Minor changes to the README file.

Overview of changes in Ethereal 0.2.0:

* Initial public release.
* GNU autoconf-ified distribution
* Runs under Linux 2.0.x and Solaris 2.6.
* Requires GTK+ (1.0.1 tested) and libpcap (0.4a6 tested)
* For optimal results under Linux, the Karpski libpcap should be used.
* General documentation and a minimal web site have been prepared.
